Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2
Interface Sandesha2Constants.Properties.DefaultValues

Enclosing interface:
  Sandesha2Constants.Properties

    public static interface Sandesha2Constants.Properties.DefaultValues

Field Summary
`static int` | `AcknowledgementInterval`
`static java.lang.String` | `ContextManager`
`static boolean` | `EnableMakeConnection`
`static boolean` | `EnableRMAnonURI`
`static boolean` | `enforceRM`
`static java.lang.String` | `EPRDecorator`
`static boolean` | `ExponentialBackoff`
`static int` | `InactivityTimeout`
`static java.lang.String` | `InactivityTimeoutMeasure`
`static java.lang.String` | `InMemoryStorageManager`
`static boolean` | `InvokeInOrder`
`static int` | `MaximumRetransmissionCount`
`static java.lang.String` | `MessageTypesToDrop`
`static java.lang.String` | `PermanentStorageManager`
`static int` | `RetransmissionCount`
`static int` | `RetransmissionInterval`
`static java.lang.String` | `SecurityManager`
`static int` | `sequenceRemovalTimeout`
`static java.lang.String` | `sequenceRemovalTimeoutMeasure`
`static boolean` | `UseMessageSerialization`

Field Detail

### RetransmissionInterval

    static final int RetransmissionInterval

See Also:
  Constant Field Values

### AcknowledgementInterval

    static final int AcknowledgementInterval

See Also:
  Constant Field Values

### ExponentialBackoff

    static final boolean ExponentialBackoff

See Also:
  Constant Field Values

### InactivityTimeout

    static final int InactivityTimeout

See Also:
  Constant Field Values

### InactivityTimeoutMeasure

    static final java.lang.String InactivityTimeoutMeasure

See Also:
  Constant Field Values

### sequenceRemovalTimeout

    static final int sequenceRemovalTimeout

See Also:
  Constant Field Values

### sequenceRemovalTimeoutMeasure

    static final java.lang.String sequenceRemovalTimeoutMeasure

See Also:
  Constant Field Values

### InMemoryStorageManager

    static final java.lang.String InMemoryStorageManager

See Also:
  Constant Field Values

### PermanentStorageManager

    static final java.lang.String PermanentStorageManager

See Also:
  Constant Field Values

### InvokeInOrder

    static final boolean InvokeInOrder

See Also:
  Constant Field Values

### MessageTypesToDrop

    static final java.lang.String MessageTypesToDrop

See Also:
  Constant Field Values

### RetransmissionCount

    static final int RetransmissionCount

See Also:
  Constant Field Values

### MaximumRetransmissionCount

    static final int MaximumRetransmissionCount

See Also:
  Constant Field Values

### EPRDecorator

    static final java.lang.String EPRDecorator

See Also:
  Constant Field Values

### SecurityManager

    static final java.lang.String SecurityManager

See Also:
  Constant Field Values

### ContextManager

    static final java.lang.String ContextManager

See Also:
  Constant Field Values

### EnableMakeConnection

    static final boolean EnableMakeConnection

See Also:
  Constant Field Values

### EnableRMAnonURI

    static final boolean EnableRMAnonURI

See Also:
  Constant Field Values

### UseMessageSerialization

    static final boolean UseMessageSerialization

See Also:
  Constant Field Values

### enforceRM

    static final boolean enforceRM

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.